#!/usr/bin/env python

import os,sys
from xml.dom import minidom, Node

CFG_FILENAME = os.environ['HOME'] + "/Choices/lightnpower.cfg"

if os.path.isfile(CFG_FILENAME):
	try:
		xmldoc = minidom.parse(CFG_FILENAME)
	except:
		print "ERROR: Cannot open file"
	else:
		tags = xmldoc.getElementsByTagName("POWERSETTINGS")
		for tag in tags:
			Mods = tag.getElementsByTagName("Powersetting")
			for ModsTag in Mods:
				if ModsTag.getAttribute("type") == "BATTERY" and int(sys.argv[1]) <= 100:
					os.system("setfl " + ModsTag.getAttribute("backlight"))
					os.system("xset dpms " + str(60 * int(float(ModsTag.getAttribute("screenoff")))) + " 0 " + str(60 * int(float(ModsTag.getAttribute("suspend")))))
				if ModsTag.getAttribute("type") == "AC" and int(sys.argv[1]) == 255:
					os.system("setfl " + ModsTag.getAttribute("backlight"))
					os.system("xset dpms " + str(60 * int(float(ModsTag.getAttribute("screenoff")))) + " 0 " + str(60 * int(float(ModsTag.getAttribute("suspend")))))
else:
	print "ERROR: No configfile found"

