#!/bin/sh

ROTA=`xrandr | grep 'Current rotation' | sed -e 's/Current rotation\ \-\ //g'`

MODEL=`cat /proc/deviceinfo/product`
case "$MODEL" in
    SL-6000)
	if [ "$ROTA" == "normal" ] ; then
	    fvwm-landscape.sh
        else
            fvwm-portrait.sh
        fi
        ;;
    *)
        test -f /etc/X11/kb/corgi.xmodmap && xmodmap /etc/X11/kb/corgi.xmodmap
	if [ "$ROTA" == "normal" ] ; then
	    fvwm-portrait.sh
        else
            fvwm-landscape.sh
        fi
        ;;
esac

