#!/bin/bash

PAGE="/usr/share/fvwm-pdaxrom/welcome.html"

if [ ! -e $HOME/.fvwm/welcome.runonce ] ; then
  exit 0
else
  rm $HOME/.fvwm/welcome.runonce
fi

sleep 10

if [ -x /usr/bin/dillo ] ; then
  /usr/bin/dillo $PAGE >/dev/null 2>&1
elif [ -x /usr/bin/firefox ] ; then
  /usr/bin/firefox $PAGE >/dev/null 2>&1
elif [ -x /usr/bin/links ] && [ -x /usr/X11R6/bin/xterm ] ; then
  /usr/X11R6/bin/xterm -e links $PAGE
fi
