#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* sets the cpu speed */
void setmhz(int n)
{
	char t[40];

	sprintf(t, "echo 0%d > /proc/cccr_change", n);
	//printf("%s\n", t);
	system(t);
}

/* this function gets the current speed of the processor from the
 * /proc/cccr_change file */
int getspeed()
{
	char text[20];
	FILE *ifp;

	ifp = fopen("/proc/cccr_change", "r");
	fscanf(ifp, "%s", text);
	fclose(ifp);
	/* printf("%s\n", text); */

	/* Turbo Mode Frequency/Run Mode Frequency */
	/* 400/400 MHz - default on SL-C860 */
	if (strcmp("0x00000161", text) == 0) {
		return 400400;
	/* 400/200 MHz - default on SL-C700 */
	} else if (strcmp("0x00000241", text) == 0) {
		return 400200;
	/* 200/200 MHz */
	} else if (strcmp("0x00000141", text) == 0) {
		return 200200;
	/* 200/100 MHz */
	} else if (strcmp("0x00000221", text) == 0) {
		return 200100;
	/* 472/472 MHz - overclock speed */
	} else if (strcmp("0x00000162", text) == 0) {
		return 472472;
	/* 472/236 MHz - overclock speed */
	} else if (strcmp("0x00000242", text) == 0) {
		return 472236;
	} else {
		printf("Error at identifying the CPU speed\n");
	}
	return -1;
}

void cpumenu()
{
	int cpuspeed = 0;
	char s400400[20] = "";
	char s400200[20] = "";
	char s200200[20] = "";
	char s200100[20] = "";
	char s472472[20] = "";
	char s472236[20] = "";
	cpuspeed = getspeed();

	if (cpuspeed == 400400) {
		strcpy(s400400, "%selected.png%");
	} else if (cpuspeed == 400200) {
		strcpy(s400200, "%selected.png%");
	} else if (cpuspeed == 200200) {
		strcpy(s200200, "%selected.png%");
	} else if (cpuspeed == 200100) {
		strcpy(s200100, "%selected.png%");
	} else if (cpuspeed == 472472) {
		strcpy(s472472, "%selected.png%");
	} else if (cpuspeed == 472236) {
		strcpy(s472236, "%selected.png%");
	}
	
	printf("DestroyMenu recreate CpuMenu\n\
AddToMenu CpuMenu\n\
+ \"Normal speeds\"\n\
+ \"\" Nop\n\
+ %s\"400/400 MHz\" Exec exec echo 0161 > /proc/cccr_change\n\
+ %s\"400/200 MHz\" Exec exec echo 0241 > /proc/cccr_change\n\
+ \"\" Nop\n\
+ \"Underclock\"\n\
+ \"\" Nop\n\
+ %s\"200/200 MHz\" Exec exec echo 0141 > /proc/cccr_change\n\
+ %s\"200/100 MHz\" Exec exec echo 0221 > /proc/cccr_change\n\
+ \"\" Nop\n\
+ \"Overclock\"\n\
+ \"\" Nop\n\
+ %s\"472/472 MHz\" Exec exec echo 0162 > /proc/cccr_change\n\
+ %s\"472/236 MHz\" Exec exec echo 0242 > /proc/cccr_change\n\
\
", s400400, s400200, s200200, s200100, s472472, s472236);

}

int main(int argc, char **argv)
{

	cpumenu();
	/* printf("%d\n", getspeed()); */
}

