#!/usr/bin/env python

import os,sys
from xml.dom import minidom, Node

CFG_FILENAME = os.environ['HOME'] + "/Choices/input.cfg"

if os.path.isfile(CFG_FILENAME):
	try:
		xmldoc = minidom.parse(CFG_FILENAME)
	except:
		print "ERROR: Cannot open file"
	else:
		tags = xmldoc.getElementsByTagName("INPUTSETTINGS")
		for tag in tags:
			Mods = tag.getElementsByTagName("Shortcuts")
			for ModsTag in Mods:
				key_id = ModsTag.getAttribute("ID")
				key_exec = ModsTag.getAttribute("Program")
				# We map other functions to them
				#if key_id == "0": key_map = "A"
				#elif key_id == "1": key_map = "B"
				#elif key_id == "2": key_map = "C"
				#elif key_id == "3": key_map = "D"
				if key_id == "4": key_map = "0"
				elif key_id == "5": key_map = "1"
				elif key_id == "6": key_map = "2"
				elif key_id == "7": key_map = "3"
				elif key_id == "8": key_map = "4"

				if key_exec != "" and key_id in ["4", "5", "6", "7", "8"]:
					print "Key XF86Launch" + key_map + " A N Schedule 100 Exec exec " + key_exec
else:
	print "ERROR: No configfile found"

