#include <stdio.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <stdlib.h>
#define  SCRCTL_GET_ROTATION 0x413c

int main ( int argc, char ** argv) 
{
    int handle = 0;
    int retval = 0;
    handle = open("/dev/apm_bios", O_RDWR|O_NONBLOCK);
    if (handle == -1) {
	printf("%s: Failed to get hinge state\n", argv[0]);
        return -1;
    } else {
        retval = ioctl(handle, SCRCTL_GET_ROTATION);
        close (handle);
	switch (retval)
	{
	  case 3:
		system("fvwm-closed.sh");
		break;
	  case 2:
		system("fvwm-portrait.sh");
		break;
	  case 0:
		system("fvwm-landscape.sh");
		break;
	  default:
		fprintf(stderr, "%s: I dunno what state %i is ?\n", argv[0], retval);
		break;
	}
        return 0;
    }
}
